osl::kakinoki Namespace Reference

## Classes

class | KakinokiFile
struct | KakinokiIOError

## Functions

Move | strToMove (const std::string &, const SimpleState &, Move last_move=Move())
std::pair< Player, Ptype > | strToPiece (const std::string &)

## Function Documentation

## strToMove()

osl::Move osl::kakinoki::strToMove | ( | const std::string & | s,
|  | const SimpleState & | state,
|  | Move | last_move = Move() )

Definition at line 166 of file kakinoki.cc.

References osl::captured(), osl::KanjiMove::instance(), osl::Square::isPieceStand(), K_NARU, K_ONAZI, K_UTSU, osl::SimpleState::pieceOnBoard(), osl::promote(), osl::Piece::ptype(), osl::Move::to(), osl::record::KanjiMove::toPtype(), osl::record::KanjiMove::toSquare(), and osl::SimpleState::turn().

Referenced by osl::kakinoki::KakinokiFile::parseLine().

## strToPiece()

std::pair< osl::Player, osl::Ptype > osl::kakinoki::strToPiece | ( | const std::string & | s | ) |

Definition at line 155 of file kakinoki.cc.

References osl::BLACK, osl::KanjiMove::instance(), osl::record::KanjiMove::toPtype(), and osl::WHITE.

Referenced by osl::kakinoki::KakinokiFile::parseLine().